org.objectweb.util.ant

## Class Zip

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.apache.tools.ant.taskdefs.Zip
        - - org.objectweb.util.ant.Zip

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class Zip
    extends org.apache.tools.ant.taskdefs.Zip

Permits to specify a group of zip which only some entries must be zipped.

### Nested Class Summary

Nested Classes
`class` `Zip.MyZipFileSet` permit to use the constructor of ZipFileSet with the FileSet parameter
`class` `Zip.ZipGroup` represents a group of zip

### Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.Zip

`org.apache.tools.ant.taskdefs.Zip.ArchiveState, org.apache.tools.ant.taskdefs.Zip.Duplicate, org.apache.tools.ant.taskdefs.Zip.UnicodeExtraField, org.apache.tools.ant.taskdefs.Zip.WhenEmpty`

### Field Summary

Fields
`List` `zipGroups`

### Fields inherited from class org.apache.tools.ant.taskdefs.Zip

`addedDirs, archiveType, doubleFilePass, duplicate, emptyBehavior, entries, skipWriting, zipFile`

### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`fileset`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`Zip()`

### Method Summary

Methods
`Zip.ZipGroup` `createZipGroup()`
`void` `execute()`

### Methods inherited from class org.apache.tools.ant.taskdefs.Zip

`add, addFileset, addParentDirs, addResources, addResources, addZipfileset, addZipGroupFileset, cleanUp, createEmptyZip, executeMain, finalizeZipOutputStream, getComment, getCreateUnicodeExtraFields, getCurrentExtraFields, getDestFile, getEncoding, getFallBackToUTF8, getLevel, getNonFileSetResourcesToAdd, getPreserve0Permissions, getResourcesToAdd, getResourcesToAdd, getUseLanguageEnodingFlag, grabNonFileSetResources, grabResources, hasUpdatedFile, initZipOutputStream, isAddingNewFiles, isCompress, isEmpty, isFirstPass, isInUpdateMode, logWhenWriting, reset, selectDirectoryResources, selectFileResources, selectResources, setBasedir, setComment, setCompress, setCreateUnicodeExtraFields, setCurrentExtraFields, setDestFile, setDuplicate, setEncoding, setFallBackToUTF8, setFile, setFilesonly, setKeepCompression, setLevel, setPreserve0Permissions, setRoundUp, setUpdate, setUseLanguageEncodingFlag, setWhenempty, setZipfile, zipDir, zipDir, zipDir, zipFile, zipFile, zipFile`

### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### zipGroups

    public List zipGroups

### Constructor Detail

#### Zip

    public Zip()

### Method Detail

#### createZipGroup

    public Zip.ZipGroup createZipGroup()

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.taskdefs.Zip`
Throws:
  `org.apache.tools.ant.BuildException`